org.apache.solr.search

## Enum CollapsingQParserPlugin.GroupHeadSelectorType

- java.lang.Object
- - java.lang.Enum<CollapsingQParserPlugin.GroupHeadSelectorType>
  - - org.apache.solr.search.CollapsingQParserPlugin.GroupHeadSelectorType

- All Implemented Interfaces:
    Serializable, Comparable<CollapsingQParserPlugin.GroupHeadSelectorType>
  Enclosing class:
    CollapsingQParserPlugin

      public static enum CollapsingQParserPlugin.GroupHeadSelectorType
      extends Enum<CollapsingQParserPlugin.GroupHeadSelectorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX`
    `MIN`
    `SCORE`
    `SORT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EnumSet<CollapsingQParserPlugin.GroupHeadSelectorType>` | `MIN_MAX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollapsingQParserPlugin.GroupHeadSelectorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CollapsingQParserPlugin.GroupHeadSelectorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final CollapsingQParserPlugin.GroupHeadSelectorType MIN

    - #### MAX

          public static final CollapsingQParserPlugin.GroupHeadSelectorType MAX

    - #### SORT

          public static final CollapsingQParserPlugin.GroupHeadSelectorType SORT

    - #### SCORE

          public static final CollapsingQParserPlugin.GroupHeadSelectorType SCORE

  - ### Field Detail

    - #### MIN_MAX

          public static EnumSet<CollapsingQParserPlugin.GroupHeadSelectorType> MIN_MAX

  - ### Method Detail

    - #### values

          public static CollapsingQParserPlugin.GroupHeadSelectorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollapsingQParserPlugin.GroupHeadSelectorType c : CollapsingQParserPlugin.GroupHeadSelectorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollapsingQParserPlugin.GroupHeadSelectorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.